Download it now!
Bug 134463 - FILEOPEN DOCX No spacing between paragraphs of the same style not considered
Summary: FILEOPEN DOCX No spacing between paragraphs of the same style not considered
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:7.1.0 target:7.0.0.2
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2020-07-02 14:44 UTC by NISZ LibreOffice Team
Modified: 2020-07-06 16:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (11.72 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-02 14:44 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (80.39 KB, image/png)
2020-07-02 14:45 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-02 14:44:46 UTC
Created attachment 162598 [details]
Example file from Word

Attached simple document contains 4 Normal style paragraph with 30pt Spacing after set with direct formatting. The first two also have “No spacing between paragraphs of the same style” set with direct formatting.
In Word these settings result in no spacing after the first two, but in Writer there is no spacing only after the first.

Steps to reproduce:
    1. Open attached document

Actual results:
There is spacing after paragraph “A2”

Expected results:
No spacing after paragraph “A2”, only after B1 and B2, like in Word.

LibreOffice details:


Also happens all the way back to:
Verzió: 4.0.0.3 (Build az.: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 1 NISZ LibreOffice Team 2020-07-02 14:45:10 UTC
Created attachment 162599 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Xisco Faulí 2020-07-02 15:35:38 UTC
Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: a330d8eef09a3135bf6ae94b31b7ea944f256bdc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2020-07-03 21:01:11 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a5073875fe551790a314b402ff209545050c17da

tdf#134463 DOCX import: fix other "half" of contextualSpacing

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-06 16:13:13 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7f147ddd2764dd2ea92d4e4b92287ec1cf839848

tdf#134463 DOCX import: fix other "half" of contextualSpacing

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.